Qt 5.7 | Qt 3D | C++ Classes | QAlphaTest

Qt 5.7.1 Reference Documentation

# QAlphaTest Class

(Qt3DRender::QAlphaTest)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | AlphaFunction { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- alphaFunction : AlphaFunction
- referenceValue : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAlphaTest(Qt3DCore::QNode *parent = nullptr)
| ~QAlphaTest()
AlphaFunction | alphaFunction() const
float | referenceValue() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAlphaFunction(AlphaFunction alphaFunction)
void | setReferenceValue(float referenceValue)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | alphaFunctionChanged(AlphaFunction alphaFunction)
void | referenceValueChanged(float referenceValue)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QAlphaTest::AlphaFunction

## Property Documentation

### alphaFunction : AlphaFunction

Access functions:

AlphaFunction | alphaFunction() const
void | setAlphaFunction(AlphaFunction alphaFunction)

Notifier signal:

void | alphaFunctionChanged(AlphaFunction alphaFunction)

### referenceValue : float

Access functions:

float | referenceValue() const
void | setReferenceValue(float referenceValue)

Notifier signal:

void | referenceValueChanged(float referenceValue)

## Member Function Documentation

### QAlphaTest::QAlphaTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAlphaTest.

### QAlphaTest::~QAlphaTest()

Destroys the instance of QAlphaTest.